.NOLIST
#INCLUDE "ti83plus.inc"
#INCLUDE "dcs7.inc"
#INCLUDE "defines.inc"
.LIST
.org ProgStart-2
.db $BB,$6D
	xor d
	ret
	jr Init
	.dw Description
	.db $07,$00
	.dw Icon
	.dw $0000
Description:
	db "Platformer RPG",0
Icon:
#include "icon.bmp"
Init:                          	;main routines
	set TextWrite,(iy+SGrFlags)
	res DonePrgm,(iy+DoneFlags)
	bcall _runIndicOff
	xor a
	out ($20),a	;set to 6MHz mode
	homeup
	ld a,(contrast)
	ld (CurrentContrast),a
Start:
	clearlcd
	decompress(TitleImg)
	picture(MAPUNCRNCH,64,0)
	ld (initstack),sp
	menu(MainMenu)
New:
	ld de,SaveStart
	ld hl,DefaultSettings
	ld bc,DefaultSettingsEnd-DefaultSettings
	ldir
	jr Run
Load:
	ld hl,save_appvar_name
	rst 20h
	b_call _chkfindsym
		jr c,New
	xor a
	cp b
		jr z,_
	ld hl,save_appvar_name
	rst 20h
	b_call _Arc_Unarc
_	ld hl,2 ;+2 is for the size word
	add hl,de	;get the offset into hl
	ld bc,DefaultSettingsEnd-DefaultSettings
	ld de,SaveStart
	ldir
Run:
	ld a,(gameMode)
	or a
		jr z,++_
	cp 1
		jr z,+_
	ld hl,(LCutscene)
	dec hl
	call parse_cutscene
_	call battle_engine
_	ld a,(level)
	call Game_engine
	jr Start	;return to menu
End:
	decompress(TitleImg)
	picture(MAPUNCRNCH,64,0)
	lcdupdate
	b_call 5011h	;_FillBasePageTable
	ret
NameSettings:
	call name_menu
	jr Settings
ContrastSettings:
	call contrast_menu
Settings:
	menu(SettingsMainMenu)
About:
	dialog(AboutMsg)
	jp Start
#INCLUDE "parse.asm"
#INCLUDE "platform_engine.asm"
#INCLUDE "battle_engine.asm"
#INCLUDE "Routines.asm"
#INCLUDE "uncrunch.asm"
#INCLUDE "Math.asm"
#INCLUDE "keys.asm"
#INCLUDE "text.asmdat"
#INCLUDE "tiles.asmdat"
#INCLUDE "char_blackmage.asmdat"
#INCLUDE "char_civilian.asmdat"
#INCLUDE "char_monster.asmdat"
#INCLUDE "maps.asmdat"
#INCLUDE "menus.asmdat"
#INCLUDE "cutscenes.asmdat"
#INCLUDE "data.asmdat"
#INCLUDE "img.asmdat"